{"openapi":"3.0.1","info":{"title":"GeckoTerminal API V2","version":"v2-beta","description":"GeckoTerminal Public API endpoints.\n\n## Beta Release\nThe API is in its Beta release, and is subject to frequent changes.\nHowever, we aim to provide minimal disruption, and setting the request version would help avoid unexpected issues.\n\n**Please subscribe via [this form](https://forms.gle/jSMu4jLQBXeiVD1U9) to be notified of important API updates.**\n\n## Base URL\nAll endpoints below use the base URL: `https://api.geckoterminal.com/api/v2`\n\n## Versioning\nIt is recommended to set the API version via the `Accept` header.\nThe current version is **20230203**.\n\nFor example, to specify the current version, set header `Accept: application/json;version=20230203`.\n\n_If no version is specified, the latest version will be used._\n\n## Data Freshness\nAll endpoints listed below are cached for **1 minute**\n\nAll data is updated **as fast as 2-3 seconds** after a transaction is confirmed on the blockchain, subject to the network's availability.\n\n## Rate Limit\nThis Public API is limited to approximately 10 calls/minute, which may fluctuate based on network traffic.\nFor higher and more stable rate limits please subscribe to any CoinGecko API paid plan to access higher rate limit for GeckoTerminal endpoints (known as /onchain endpoints) or learn more at [CoinGecko](https://www.coingecko.com/en/api/pricing). \n\nTo share with us your feedback about the public API, let us know [here](https://forms.gle/jSMu4jLQBXeiVD1U9)!\n"},"paths":{"/networks/{network}/pools/{pool_address}/ohlcv/{timeframe}":{"get":{"summary":"Pool OHLCV chart by Pool Address","tags":["OHLCV"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"pool_address","in":"path","type":"string","description":"pool contract address","schema":{"type":"string","example":"0x60594a405d53811d3bc4766596efd80fd545a270"},"required":true},{"name":"timeframe","in":"path","type":"string","description":"timeframe of the OHLCV chart","schema":{"type":"string","enum":["day","hour","minute"]},"required":true},{"name":"aggregate","in":"query","type":"string","required":false,"description":"time period to aggregate for each OHLCV<br><br><b>Available values (day):</b> `1`<br><br><b>Available values (hour):</b> `1`, `4`, `12`<br><br><b>Available values (minute):</b> `1`, `5`, `15`","schema":{"type":"string","default":"1"}},{"name":"before_timestamp","in":"query","type":"string","required":false,"description":"return OHLCV data before this timestamp (integer seconds since epoch)","schema":{"type":"string","example":"1679414400"}},{"name":"limit","in":"query","type":"string","required":false,"description":"number of OHLCV results to return, maximum 1000","schema":{"type":"integer","default":100,"maximum":1000}},{"name":"currency","in":"query","type":"string","required":false,"description":"return OHLCV in USD or quote token","schema":{"type":"string","default":"usd","enum":["usd","token"]}},{"name":"include_empty_intervals","in":"query","type":"boolean","required":false,"description":"include empty intervals with no trade data","schema":{"type":"boolean","default":false}},{"name":"token","in":"query","type":"string","required":false,"description":"return OHLCV for token<br>use this to invert the chart<br>Available values: 'base', 'quote', or token address","schema":{"type":"string","default":"base"},"examples":{"base":{"value":"base"},"quote":{"value":"quote"},"base_token_address":{"value":"0x6b175474e89094c44da98b954eedeac495271d0f"},"quote_token_address":{"value":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2"}}}],"description":"This endpoint allows you to **get the OHLCV chart (Open, High, Low, Close, Volume) of a pool based on the provided pool address on a network**","responses":{"200":{"description":"Get OHLCV data of a pool","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ohlcv"}}}}}}},"/networks/{network}/dexes":{"get":{"summary":"Supported Dexes List by Network (ID Map)","tags":["Dexes"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"page","in":"query","required":false,"default":1,"description":"page through results","schema":{"type":"integer"}}],"description":"This endpoint allows you to **query all the supported decentralized exchanges (DEXs) based on the provided network on GeckoTerminal**","responses":{"200":{"description":"Get list of supported DEXs on a network","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dexes_list"}}}}}}},"/networks":{"get":{"summary":"Supported Networks List (ID Map)","tags":["Networks"],"description":"This endpoint allows you to **query all the supported networks on GeckoTerminal**","parameters":[{"name":"page","in":"query","required":false,"default":1,"description":"page through results (maximum: 10)","schema":{"type":"integer","maximum":10}}],"responses":{"200":{"description":"Get list of supported networks","content":{"application/json":{"schema":{"$ref":"#/components/schemas/networks_list"}}}}}}},"/networks/trending_pools":{"get":{"summary":"Trending Pools List","tags":["Pools"],"parameters":[{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `base_token`, `quote_token`, `dex`, `network`","examples":{"one value":{"value":"base_token"},"multiple values":{"value":"base_token,quote_token"}}},{"name":"include_gt_community_data","in":"query","type":"boolean","required":false,"description":"include GT community data","schema":{"type":"boolean","default":false}},{"name":"page","in":"query","required":false,"default":1,"description":"page through results (maximum: 10)","schema":{"type":"integer","maximum":10}},{"name":"duration","in":"query","type":"string","required":false,"description":"duration to sort trending list by","default":"24h","schema":{"type":"string","enum":["5m","1h","6h","24h"]}}],"description":"This endpoint allows you to **query all the trending pools across all networks on GeckoTerminal**","responses":{"400":{"description":"Invalid duration. Allowed values: 5m, 1h, 6h, 24h","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get trending pools across all networks","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pool"}}}}}}},"/networks/{network}/trending_pools":{"get":{"summary":"Trending Pools by Network","tags":["Pools"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `base_token`, `quote_token`, `dex`","examples":{"one value":{"value":"base_token"},"multiple values":{"value":"base_token,quote_token"}}},{"name":"include_gt_community_data","in":"query","type":"boolean","required":false,"description":"include GT community data","schema":{"type":"boolean","default":false}},{"name":"page","in":"query","required":false,"default":1,"description":"page through results (maximum: 10)","schema":{"type":"integer","maximum":10}},{"name":"duration","in":"query","type":"string","required":false,"description":"duration to sort trending list by","default":"24h","schema":{"type":"string","enum":["5m","1h","6h","24h"]}}],"description":"This endpoint allows you to **query the trending pools based on the provided network**","responses":{"404":{"description":"Specified network not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get trending pools on a network","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pool"}}}}}}},"/networks/{network}/pools/{address}":{"get":{"summary":"Specific Pool Data by Pool Address","tags":["Pools"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"address","in":"path","type":"string","description":"pool address","schema":{"type":"string","example":"0x60594a405d53811d3bc4766596efd80fd545a270"},"required":true},{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `base_token`, `quote_token`, `dex`","examples":{"one value":{"value":"base_token"},"multiple values":{"value":"base_token,quote_token"}}},{"name":"include_volume_breakdown","in":"query","type":"boolean","required":false,"description":"include volume breakdown","schema":{"type":"boolean","default":false}},{"name":"include_composition","in":"query","type":"boolean","required":false,"description":"include pool composition","schema":{"type":"boolean","default":false}}],"description":"This endpoint allows you to **query the specific pool based on the provided network and pool address**","responses":{"404":{"description":"Specified network not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"400":{"description":"Invalid include_composition parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get specific pool on a network","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_pool_detail"}}}}}}},"/networks/{network}/pools/multi/{addresses}":{"get":{"summary":"Multiple Pools Data by Pool Addresses","tags":["Pools"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"addresses","in":"path","description":"pool contract address, comma-separated if more than one pool contract address (up to 30 addresses)","examples":{"one value":{"value":"0x60594a405d53811d3bc4766596efd80fd545a270"},"multiple values":{"value":"0x60594a405d53811d3bc4766596efd80fd545a270,0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640"}},"required":true,"schema":{"type":"string"}},{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `base_token`, `quote_token`, `dex`","examples":{"one value":{"value":"base_token"},"multiple values":{"value":"base_token,quote_token"}}},{"name":"include_volume_breakdown","in":"query","type":"boolean","required":false,"description":"include volume breakdown","schema":{"type":"boolean","default":false}},{"name":"include_composition","in":"query","type":"boolean","required":false,"description":"include pool composition","schema":{"type":"boolean","default":false}}],"description":"This endpoint allows you to **query multiple pools based on the provided network and pool address**","responses":{"404":{"description":"Specified network not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"400":{"description":"Exceeded maximum number of addresses","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get multiple pools on a network","content":{"application/json":{"schema":{"$ref":"#/components/schemas/multi_pool_details"}}}}}}},"/networks/{network}/pools":{"get":{"summary":"Top Pools by Network","tags":["Pools"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `base_token`, `quote_token`, `dex`","examples":{"one value":{"value":"base_token"},"multiple values":{"value":"base_token,quote_token"}}},{"name":"include_gt_community_data","in":"query","type":"boolean","required":false,"description":"include GT community data","schema":{"type":"boolean","default":false}},{"name":"page","in":"query","required":false,"default":1,"description":"page through results (maximum: 10)","schema":{"type":"integer","maximum":10}},{"name":"sort","in":"query","type":"string","required":false,"description":"sort the pools by field","default":"h24_tx_count_desc","schema":{"type":"string","enum":["h24_volume_usd_desc","h24_tx_count_desc"]}}],"description":"This endpoint allows you to **query all the top pools based on the provided network**","responses":{"404":{"description":"Specified network not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get top pools on a network","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pool"}}}}}}},"/networks/{network}/dexes/{dex}/pools":{"get":{"summary":"Top Pools by Dex","tags":["Pools"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"dex","in":"path","type":"string","description":"DEX ID<br>*refers to [/networks/{network}/dexes](/api/v2/networks/eth/dexes)","schema":{"type":"string","example":"sushiswap"},"required":true},{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `base_token`, `quote_token`, `dex`","examples":{"one value":{"value":"base_token"},"multiple values":{"value":"base_token,quote_token"}}},{"name":"include_gt_community_data","in":"query","type":"boolean","required":false,"description":"include GT community data","schema":{"type":"boolean","default":false}},{"name":"page","in":"query","required":false,"default":1,"description":"page through results (maximum: 10)","schema":{"type":"integer","maximum":10}},{"name":"sort","in":"query","type":"string","required":false,"description":"sort the pools by field","default":"h24_tx_count_desc","schema":{"type":"string","enum":["h24_volume_usd_desc","h24_tx_count_desc"]}}],"description":"This endpoint allows you to **query all the top pools based on the provided network and decentralized exchange (DEX)**","responses":{"404":{"description":"Specified dex not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get top pools on a network's dex","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pool"}}}}}}},"/networks/{network}/tokens/{token_address}/pools":{"get":{"summary":"Top Pools by Token Address","tags":["Tokens"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"token_address","in":"path","type":"string","description":"token contract address","schema":{"type":"string","example":"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"},"required":true},{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `base_token`, `quote_token`, `dex`","examples":{"one value":{"value":"base_token"},"multiple values":{"value":"base_token,quote_token"}}},{"name":"include_inactive_source","in":"query","type":"boolean","required":false,"description":"include inactive pools when sourcing for token's top pool","schema":{"type":"boolean","default":false}},{"name":"page","in":"query","required":false,"default":1,"description":"page through results (maximum: 10)","schema":{"type":"integer","maximum":10}},{"name":"sort","in":"query","type":"string","required":false,"description":"sort the pools by field","default":"h24_volume_usd_liquidity_desc","schema":{"type":"string","enum":["h24_volume_usd_desc","h24_tx_count_desc","h24_volume_usd_liquidity_desc"]}}],"description":"This endpoint allows you to **query top pools based on the provided token contract address on a network**","responses":{"404":{"description":"Token for specified address not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get top pools for a token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pool"}}}}}}},"/networks/{network}/new_pools":{"get":{"summary":"New Pools by Network","tags":["Pools"],"description":"This endpoint allows you to **query all the latest pools based on provided network**","parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `base_token`, `quote_token`, `dex`","examples":{"one value":{"value":"base_token"},"multiple values":{"value":"base_token,quote_token"}}},{"name":"include_gt_community_data","in":"query","type":"boolean","required":false,"description":"include GT community data","schema":{"type":"boolean","default":false}},{"name":"page","in":"query","required":false,"default":1,"description":"page through results (maximum: 10)","schema":{"type":"integer","maximum":10}}],"responses":{"404":{"description":"Specified network not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get latest pools on a network","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pool"}}}}}}},"/networks/new_pools":{"get":{"summary":"New Pools List","tags":["Pools"],"parameters":[{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `base_token`, `quote_token`, `dex`, `network`","examples":{"one value":{"value":"base_token"},"multiple values":{"value":"base_token,quote_token"}}},{"name":"include_gt_community_data","in":"query","type":"boolean","required":false,"description":"include GT community data","schema":{"type":"boolean","default":false}},{"name":"page","in":"query","required":false,"default":1,"description":"page through results (maximum: 10)","schema":{"type":"integer","maximum":10}}],"description":"This endpoint allows you to **query all the latest pools across all networks on GeckoTerminal**","responses":{"200":{"description":"Get latest pools across all networks","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pool"}}}}}}},"/search/pools":{"get":{"summary":"Search Pools","tags":["Pools"],"parameters":[{"name":"query","in":"query","type":"string","description":"search query","schema":{"type":"string","example":"weth"}},{"name":"network","in":"query","type":"string","required":false,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `base_token`, `quote_token`, `dex`","examples":{"one value":{"value":"base_token"},"multiple values":{"value":"base_token,quote_token"}}},{"name":"page","in":"query","required":false,"default":1,"description":"page through results (maximum: 10)","schema":{"type":"integer","maximum":10}}],"description":"This endpoint allows you to **search for pools on a network**","responses":{"200":{"description":"Search for pools on a network","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pool"}}}}}}},"/networks/{network}/pools/{pool_address}/trades":{"get":{"summary":"Past 24 Hour Trades by Pool Address","tags":["Trades"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"pool_address","in":"path","type":"string","description":"pool contract address","schema":{"type":"string","example":"0x60594a405d53811d3bc4766596efd80fd545a270"},"required":true},{"name":"trade_volume_in_usd_greater_than","in":"query","type":"number","required":false,"description":"filter trades by trade volume in USD greater than this value","schema":{"type":"number","default":0,"example":100000}},{"name":"token","in":"query","type":"string","required":false,"description":"return trades for token<br>use this to invert the data<br>Available values: 'base', 'quote', or token address","schema":{"type":"string","default":"base"},"examples":{"base":{"value":"base"},"quote":{"value":"quote"},"base_token_address":{"value":"0x6b175474e89094c44da98b954eedeac495271d0f"},"quote_token_address":{"value":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2"}}}],"description":"This endpoint allows you to **query the last 300 trades in the past 24 hours based on the provided pool address**","responses":{"404":{"description":"Specified pool not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"400":{"description":"Provided token is invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get last 300 trades in past 24 hours from a pool","content":{"application/json":{"schema":{"$ref":"#/components/schemas/trade"}}}}}}},"/networks/{network}/tokens/{address}":{"get":{"summary":"Token Data by Token Address","tags":["Tokens"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"address","in":"path","type":"string","description":"token contract address","schema":{"type":"string","example":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2"},"required":true},{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `top_pools`","examples":{"one value":{"value":"top_pools"}}},{"name":"include_composition","in":"query","type":"boolean","required":false,"description":"include pool composition","schema":{"type":"boolean","default":false}},{"name":"include_inactive_source","in":"query","type":"boolean","required":false,"description":"include inactive pools when sourcing for token's top pool","schema":{"type":"boolean","default":false}}],"description":"This endpoint allows you to **query specific token data based on the provided token contract address on a network**","responses":{"404":{"description":"Specified network not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get specific token on a network","content":{"application/json":{"schema":{"$ref":"#/components/schemas/token_detail"}}}}}}},"/networks/{network}/tokens/multi/{addresses}":{"get":{"summary":"Tokens Data by Token Addresses","tags":["Tokens"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"addresses","in":"path","type":"string","description":"token contract address, comma-separated if more than one token contract address (up to 30 addresses)","schema":{"type":"string"},"examples":{"one value":{"value":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2"},"multiple values":{"value":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2,0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"}},"required":true},{"name":"include_inactive_source","in":"query","type":"boolean","required":false,"description":"include inactive pools when sourcing for token's top pool","schema":{"type":"boolean","default":false}},{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `top_pools`","examples":{"one value":{"value":"top_pools"}}},{"name":"include_composition","in":"query","type":"boolean","required":false,"description":"include pool composition","schema":{"type":"boolean","default":false}}],"description":"This endpoint allows you to **query multiple tokens data based on the provided token contract addresses on a network**","responses":{"404":{"description":"Specified network not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"400":{"description":"Exceeded maximum number of addresses","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get multiple tokens on a network","content":{"application/json":{"schema":{"$ref":"#/components/schemas/multi_token_detail"}}}}}}},"/networks/{network}/tokens/{address}/info":{"get":{"summary":"Token Info by Token Address","tags":["Tokens"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"address","in":"path","type":"string","description":"token contract address","schema":{"type":"string","example":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2"},"required":true}],"description":"This endpoint allows you to **query token metadata (name, symbol,  CoinGecko ID, image, socials, websites, description, etc.) based on a provided token contract address on a network**","responses":{"404":{"description":"Specified network not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get specific token info on a network. Data may be sourced on-chain and is not vetted by the CoinGecko team.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/token_info"}}}}}}},"/networks/{network}/pools/{pool_address}/info":{"get":{"summary":"Pool Tokens Info by Pool Address","tags":["Tokens"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"pool_address","in":"path","type":"string","description":"pool contract address","schema":{"type":"string","example":"0x60594a405d53811d3bc4766596efd80fd545a270"},"required":true},{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `pool`","examples":{"one value":{"value":"pool"}}}],"description":"This endpoint allows you to **query pool metadata (base and quote token details, image, socials, websites, description, contract address, etc.) based on a provided pool contract address on a network**","responses":{"404":{"description":"Specified network not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get pool tokens info on a network. Data may be sourced on-chain and is not vetted by the CoinGecko team.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pool_tokens_info"}}}}}}},"/tokens/info_recently_updated":{"get":{"summary":"Most Recently Updated Tokens List","tags":["Tokens"],"parameters":[{"name":"include","in":"query","required":false,"description":"attributes to include, comma-separated if more than one to include<br><br><b>Available values:</b> `network`","examples":{"one value":{"value":"network"}}},{"name":"network","in":"query","type":"string","required":false,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}}],"description":"This endpoint allows you to **query 100 most recently updated tokens info of a specific network or across all networks on GeckoTerminal**","responses":{"200":{"description":"Get 100 tokens info across all networks ordered by most recently updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/token_info_recently_updated"}}}}}}},"/simple/networks/{network}/token_price/{addresses}":{"get":{"summary":"Token Price by Token Addresses","tags":["Simple"],"parameters":[{"name":"network","in":"path","type":"string","required":true,"description":"network ID<br>*refers to [/networks](/api/v2/networks)","schema":{"type":"string","example":"eth"}},{"name":"addresses","in":"path","type":"string","description":"token contract address, comma-separated if more than one token contract address (up to 30 addresses)","schema":{"type":"string"},"examples":{"one value":{"value":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2"},"multiple values":{"value":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2,0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"}},"required":true},{"name":"include_market_cap","in":"query","type":"boolean","required":false,"description":"include market capitalization","schema":{"type":"boolean","default":false}},{"name":"mcap_fdv_fallback","in":"query","type":"boolean","required":false,"description":"return FDV if market cap is not available","schema":{"type":"boolean","default":false}},{"name":"include_24hr_vol","in":"query","type":"boolean","required":false,"description":"include 24hr volume","schema":{"type":"boolean","default":false}},{"name":"include_24hr_price_change","in":"query","type":"boolean","required":false,"description":"include 24hr price change","schema":{"type":"boolean","default":false}},{"name":"include_total_reserve_in_usd","in":"query","type":"boolean","required":false,"description":"include total reserve in USD","schema":{"type":"boolean","default":false}},{"name":"include_inactive_source","in":"query","type":"boolean","required":false,"description":"include inactive pools when sourcing for token's top pool","schema":{"type":"boolean","default":false}}],"description":"This endpoint allows you to **get token price based on the provided token contract address on a network**","responses":{"404":{"description":"Specified network not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"400":{"description":"Exceeded maximum number of addresses","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors_object"}}}},"200":{"description":"Get current USD prices of multiple tokens on a network","content":{"application/json":{"schema":{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/simple_token_price"}}}}}}}}}}},"servers":[{"url":"/api/v2"}],"components":{"schemas":{"errors_object":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string"},"title":{"type":"string"}}}}}},"relationships":{"type":"object","additional_properties":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}}}}},"pools_included":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"address":{"type":"string"},"name":{"type":"string"},"symbol":{"type":"string","nullable":true},"decimals":{"type":"integer","nullable":true},"image_url":{"type":"string","nullable":true},"coingecko_coin_id":{"type":"string","nullable":true}}}}}},"dexes_list":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"name":{"type":"string"}}}}}}},"example":{"data":[{"id":"uniswap_v2","type":"dex","attributes":{"name":"Uniswap V2"}},{"id":"sushiswap","type":"dex","attributes":{"name":"SushiSwap"}},{"id":"uniswap_v3","type":"dex","attributes":{"name":"Uniswap V3"}}]}},"networks_list":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"name":{"type":"string"},"coingecko_asset_platform_id":{"type":"string"}}}}}}},"example":{"data":[{"id":"eth","type":"network","attributes":{"name":"Ethereum","coingecko_asset_platform_id":"ethereum"}},{"id":"bsc","type":"network","attributes":{"name":"BNB Chain","coingecko_asset_platform_id":"binance-smart-chain"}},{"id":"polygon_pos","type":"network","attributes":{"name":"Polygon POS","coingecko_asset_platform_id":"polygon-pos"}}]}},"simple_token_price":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"token_prices":{"type":"object","additionalProperties":{"type":"string"}}}}}}},"example":{"data":{"id":"1ba898f0-eda2-4291-9491-9a5b323f66ef","type":"simple_token_price","attributes":{"token_prices":{"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2":"2289.33"},"market_cap_usd":{"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2":"6692452895.779648"},"h24_volume_usd":{"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2":"965988358.733808"},"h24_price_change_percentage":{"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2":"3.3870290336"},"total_reserve_in_usd":{"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2":"1576179559.94669772339136684208"}}}}},"token":{"type":"object","required":["id","type","attributes"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["token"]},"attributes":{"type":"object","properties":{"name":{"type":"string"},"address":{"type":"string"},"symbol":{"type":"string"},"decimals":{"type":"integer"},"image_url":{"type":"string","nullable":true},"banner_image_url":{"type":"string","nullable":true},"total_supply":{"type":"string","nullable":true},"normalized_total_supply":{"type":"string","nullable":true},"coingecko_coin_id":{"type":"string","nullable":true},"price_usd":{"type":"string","nullable":true},"fdv_usd":{"type":"string","nullable":true},"total_reserve_in_usd":{"type":"string","nullable":true},"volume_usd":{"type":"object","nullable":true},"market_cap_usd":{"type":"string","nullable":true}}},"relationships":{"type":"object","properties":{"top_pools":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}}}}}}}}},"token_detail":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/token"},"included":{"type":"array","items":{"$ref":"#/components/schemas/pool"}}},"example":{"data":{"id":"eth_0xdac17f958d2ee523a2206206994597c13d831ec7","type":"token","attributes":{"address":"0xdac17f958d2ee523a2206206994597c13d831ec7","name":"Tether USD","symbol":"USDT","decimals":6,"image_url":"https://coin-images.coingecko.com/coins/images/325/large/Tether.png?1696501661","banner_image_url":null,"coingecko_coin_id":"tether","total_supply":"91775654692250534.0","normalized_total_supply":"91775654692.2505","price_usd":"0.999188255","fdv_usd":"91700939859.6687","total_reserve_in_usd":"405089394.14192413773442554227","volume_usd":{"h24":"1142454033.37436"},"market_cap_usd":"171798403974.784"},"relationships":{"top_pools":{"data":[{"id":"eth_0x667701e51b4d1ca244f17c78f7ab8744b4c99f9b","type":"pool"},{"id":"eth_0xf063bd202e45d6b2843102cb4ece339026645d4a","type":"pool"},{"id":"eth_0x8aa4e11cbdf30eedc92100f4c8a31ff748e201d44712cc8c90d189edaa8e4e47","type":"pool"}]}}},"included":[{"id":"eth_0x667701e51b4d1ca244f17c78f7ab8744b4c99f9b","type":"pool","attributes":{"base_token_price_usd":"0.999949947925521","base_token_price_native_currency":"0.000223341206041575","base_token_balance":"74198606.301554","base_token_liquidity_usd":"74194892.50738515","quote_token_price_usd":"0.99918825500163","quote_token_price_native_currency":"0.000223171080110164","quote_token_balance":"29771050.29628","quote_token_liquidity_usd":"29746883.795105774","base_token_price_quote_token":"1.0007623117","quote_token_price_base_token":"0.9992382689","address":"0x667701e51b4d1ca244f17c78f7ab8744b4c99f9b","name":"USDC / USDT","pool_created_at":"2025-09-18T08:28:30Z","token_price_usd":"0.99918825500163","fdv_usd":"91700939859.6687","market_cap_usd":"171798403975.064","price_change_percentage":{"m5":"-0.02","m15":"-0.65","m30":"-0.01","h1":"0","h6":"-0.18","h24":"-0.5"},"transactions":{"m5":{"buys":0,"sells":2,"buyers":0,"sellers":2},"m15":{"buys":4,"sells":7,"buyers":3,"sellers":5},"m30":{"buys":12,"sells":19,"buyers":7,"sellers":9},"h1":{"buys":39,"sells":48,"buyers":16,"sellers":15},"h6":{"buys":180,"sells":271,"buyers":31,"sellers":35},"h24":{"buys":870,"sells":1109,"buyers":55,"sellers":59}},"volume_usd":{"m5":"988.7572917698","m15":"1857835.95996426","m30":"3190909.49729904","h1":"9434171.29930675","h6":"84784863.3965608","h24":"388004708.962186"},"reserve_in_usd":"103939687.035"},"relationships":{"base_token":{"data":{"id":"eth_0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48","type":"token"}},"quote_token":{"data":{"id":"eth_0xdac17f958d2ee523a2206206994597c13d831ec7","type":"token"}},"dex":{"data":{"id":"fluid-ethereum","type":"dex"}}}}]}},"multi_token_detail":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/token"}},"included":{"type":"array","items":{"$ref":"#/components/schemas/pool"}}},"example":{"data":[{"id":"eth_0x44ff8620b8ca30902395a7bd3f2407e1a091bf73","type":"token","attributes":{"address":"0x44ff8620b8ca30902395a7bd3f2407e1a091bf73","name":"Virtual Protocol","symbol":"VIRTUAL","decimals":18,"image_url":"https://coin-images.coingecko.com/coins/images/34057/large/LOGOMARK.png?1708356054","banner_image_url":null,"coingecko_coin_id":"virtual-protocol","total_supply":"1000000000000000000000000000.0","normalized_total_supply":"1000000000.0","price_usd":"1.2360509143","fdv_usd":"1236049062.71205","total_reserve_in_usd":"1057431.7464185216625800287534040469","volume_usd":{"h24":"38713.9260903249"},"market_cap_usd":"810357802.002085"},"relationships":{"top_pools":{"data":[{"id":"eth_0x95a45a87dd4d3a1803039072f37e075f37b23d75","type":"pool"}]}}}],"included":[{"id":"eth_0x95a45a87dd4d3a1803039072f37e075f37b23d75","type":"pool","attributes":{"base_token_price_usd":"1.23605091431632","base_token_price_native_currency":"0.000276634218716478","base_token_balance":"632455.064963526","base_token_liquidity_usd":"781765.7043993239","quote_token_price_usd":"4468.28678620552","quote_token_price_native_currency":"1.0","quote_token_balance":"47.9170335228147","quote_token_liquidity_usd":"214107.04772415984","base_token_price_quote_token":"0.0002766342187","quote_token_price_base_token":"3614.881790979","address":"0x95a45a87dd4d3a1803039072f37e075f37b23d75","name":"VIRTUAL / WETH 1%","pool_created_at":"2023-12-24T15:16:59Z","fdv_usd":"1236049062.69573","market_cap_usd":"810357802.002085","price_change_percentage":{"m5":"0","m15":"0","m30":"-0.01","h1":"-0.033","h6":"-1.177","h24":"-3.945"},"transactions":{"m5":{"buys":0,"sells":0,"buyers":0,"sellers":0},"m15":{"buys":0,"sells":0,"buyers":0,"sellers":0},"m30":{"buys":0,"sells":4,"buyers":0,"sellers":4},"h1":{"buys":0,"sells":12,"buyers":0,"sellers":8},"h6":{"buys":5,"sells":39,"buyers":4,"sellers":26},"h24":{"buys":17,"sells":68,"buyers":13,"sellers":44}},"volume_usd":{"m5":"0.0","m15":"0.0","m30":"124.147451535","h1":"349.000957995","h6":"15478.0378042767","h24":"21703.1874601209"},"reserve_in_usd":"995880.9039"},"relationships":{"base_token":{"data":{"id":"eth_0x44ff8620b8ca30902395a7bd3f2407e1a091bf73","type":"token"}},"quote_token":{"data":{"id":"eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","type":"token"}},"dex":{"data":{"id":"uniswap_v3","type":"dex"}}}}]}},"token_info_recently_updated":{"type":"object","properties":{"data":{"type":"array","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"name":{"type":"string"},"address":{"type":"string"},"symbol":{"type":"string"},"decimals":{"type":"integer"},"coingecko_coin_id":{"type":"string","nullable":true},"image_url":{"type":"string","nullable":true},"banner_image_url":{"type":"string","nullable":true},"websites":{"type":"array","items":{"type":"string"}},"description":{"type":"string","nullable":true},"discord_url":{"type":"string","nullable":true},"telegram_handle":{"type":"string","nullable":true},"twitter_handle":{"type":"string","nullable":true},"categories":{"type":"array","items":{"type":"string"},"nullable":true},"gt_category_ids":{"type":"array","items":{"type":"string"},"nullable":true},"gt_score":{"type":"number","format":"float","nullable":true},"metadata_updated_at":{"type":"string","format":"datetime","nullable":true}},"required":["name","address","symbol","coingecko_coin_id","image_url","websites","description","discord_url","telegram_handle","twitter_handle","gt_score"]}}},"relationships":{"$ref":"#/components/schemas/relationships"}},"example":{"data":[{"id":"solana_8kgMCX7ezivU472eXaiGRu8xzNetpdxKDvNQBwKRipxi","type":"token","attributes":{"address":"8kgMCX7ezivU472eXaiGRu8xzNetpdxKDvNQBwKRipxi","name":"WIZARDS OF DOGE","symbol":"WOD","decimals":6,"image_url":"https://assets.geckoterminal.com/23fwhe56einulc0vqgs6bhkfusfr","banner_image_url":null,"coingecko_coin_id":null,"websites":["https://wizzoordofwod.com"],"discord_url":null,"telegram_handle":null,"twitter_handle":"wizzoordofwod","description":"Our mission is to help the IRL Wizards of Doge go viral in support of Elon’s DOGE initiative and to propagate wizards throughout the realm","gt_score":62.50770642201834,"metadata_updated_at":"2025-05-26T07:47:20Z"},"relationships":{"network":{"data":{"id":"solana","type":"network"}}}}]}},"token_info":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"address":{"type":"string"},"name":{"type":"string"},"symbol":{"type":"string"},"image_url":{"type":"string","nullable":true},"image":{"type":"object"},"banner_image_url":{"type":"string","nullable":true},"coingecko_coin_id":{"type":"string","nullable":true},"websites":{"type":"array","items":{"type":"string"}},"description":{"type":"string","nullable":true},"gt_score":{"type":"number","nullable":true},"gt_score_details":{"type":"object"},"discord_url":{"type":"string","nullable":true},"telegram_handle":{"type":"string","nullable":true},"twitter_handle":{"type":"string","nullable":true},"categories":{"type":"array","items":{"type":"string"},"nullable":true},"gt_categories_id":{"type":"array","items":{"type":"string"},"nullable":true},"holders":{"type":"object"},"mint_authority":{"type":"string","nullable":true},"freeze_authority":{"type":"string","nullable":true},"is_honeypot":{"oneOf":[{"type":"boolean"},{"type":"string"}]},"developer_address":{"type":"string","nullable":true},"developer_holding_percentage":{"type":"number","nullable":true}}}}}},"example":{"data":{"id":"eth_0xdac17f958d2ee523a2206206994597c13d831ec7","type":"token","attributes":{"address":"0xdac17f958d2ee523a2206206994597c13d831ec7","name":"Tether USD","symbol":"USDT","image_url":"https://assets.coingecko.com/coins/images/325/small/Tether.png?1696501661","image":{"thumb":"https://assets.coingecko.com/coins/images/325/thumb/Tether.png?1696501661","small":"https://assets.coingecko.com/coins/images/325/small/Tether.png?1696501661","large":"https://assets.coingecko.com/coins/images/325/large/Tether.png?1696501661"},"banner_image_url":"https://assets.geckoterminal.com/vgvwashzmsg7qt9iamrclayfplde","coingecko_coin_id":"tether","websites":["https://tether.to/"],"description":"Tether (USDT) is a cryptocurrency with a value meant to mirror the value of the U.S. dollar...","gt_score":92.6605504587156,"gt_score_details":{"pool":87.5,"transaction":0,"creation":100,"info":100,"holders":0},"discord_url":null,"telegram_handle":null,"twitter_handle":"Tether_to","categories":[],"gt_categories_id":[],"holders":{"count":7041203,"distribution_percentage":{"top_10":"45.5782","11_30":"13.4293","31_50":"3.9681","rest":"37.0244"},"last_updated":"2025-03-12T05:28:50Z"},"mint_authority":null,"freeze_authority":null,"is_honeypot":false,"developer_address":null,"developer_holding_percentage":null}}}},"pool_tokens_info":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/token_info"}}},"example":{"data":[{"id":"eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","type":"token","attributes":{"address":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","name":"Wrapped Ether","symbol":"WETH","image_url":"https://assets.coingecko.com/coins/images/2518/small/weth.png?1696503332","image":{"thumb":"https://assets.coingecko.com/coins/images/2518/thumb/weth.png?1696503332","small":"https://assets.coingecko.com/coins/images/2518/small/weth.png?1696503332","large":"https://assets.coingecko.com/coins/images/2518/large/weth.png?1696503332"},"banner_image_url":"https://assets.geckoterminal.com/vgvwashzmsg7qt9iamrclayfplde","coingecko_coin_id":"weth","websites":["https://weth.io/"],"description":"WETH is the tokenized/packaged form of ETH that you use to pay for items when you interact with Ethereum dApps...","gt_score":92.6605504587156,"gt_score_details":{"pool":87.5,"transaction":0,"creation":100,"info":100,"holders":100},"discord_url":null,"telegram_handle":null,"twitter_handle":null,"categories":[],"gt_categories_id":[],"holders":{"count":1385496,"distribution_percentage":{"top_10":"55.1184","11_30":"13.5825","31_50":"4.7971","rest":"26.502"},"last_updated":"2025-03-12T13:07:47Z"},"mint_authority":null,"freeze_authority":null,"is_honeypot":false,"developer_address":null,"developer_holding_percentage":null}},{"id":"eth_0xdac17f958d2ee523a2206206994597c13d831ec7","type":"token","attributes":{"address":"0xdac17f958d2ee523a2206206994597c13d831ec7","name":"Tether USD","symbol":"USDT","image_url":"https://assets.coingecko.com/coins/images/325/small/Tether.png?1696501661","coingecko_coin_id":"tether","websites":["https://tether.to/"],"description":"Tether (USDT) is a cryptocurrency with a value meant to mirror the value of the U.S. dollar. ...","gt_score":92.6605504587156,"gt_score_details":{"pool":87.5,"transaction":0,"creation":100,"info":100,"holders":0},"discord_url":null,"telegram_handle":null,"twitter_handle":"Tether_to","categories":[],"gt_categories_id":[],"holders":{"count":7041203,"distribution_percentage":{"top_10":"45.5782","11_30":"13.4293","31_50":"3.9681","rest":"37.0244"},"last_updated":"2025-03-12T05:28:50Z"},"mint_authority":null,"freeze_authority":null,"is_honeypot":false,"developer_address":null,"developer_holding_percentage":null}}]}},"pool_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"name":{"type":"string"},"address":{"type":"string"},"base_token_price_usd":{"type":"string","nullable":true},"base_token_price_native_currency":{"type":"string","nullable":true},"quote_token_price_usd":{"type":"string","nullable":true},"quote_token_price_native_currency":{"type":"string","nullable":true},"base_token_price_quote_token":{"type":"string","nullable":true},"quote_token_price_base_token":{"type":"string","nullable":true},"pool_created_at":{"type":"string","nullable":true},"fdv_usd":{"type":"string","nullable":true},"market_cap_usd":{"type":"string","nullable":true},"price_change_percentage":{"type":"object"},"transactions":{"type":"object"},"volume_usd":{"type":"object"},"reserve_in_usd":{"type":"string","nullable":true}}},"relationships":{"type":"object","properties":{"base_token":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}}}},"quote_token":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}}}},"dex":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}}}}}}}},"pool":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/pool_resource"}},"included":{"$ref":"#/components/schemas/pools_included"}},"example":{"data":[{"id":"eth_0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640","type":"pool","attributes":{"base_token_price_usd":"3653.12491645176","base_token_price_native_currency":"1.0","quote_token_price_usd":"0.998343707926245","quote_token_price_native_currency":"0.000273040545093221","base_token_price_quote_token":"3662.46","quote_token_price_base_token":"0.00027304","address":"0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640","name":"WETH / USDC 0.05%","pool_created_at":"2021-12-29T12:35:14Z","fdv_usd":"11007041041","market_cap_usd":"11007041041","price_change_percentage":{"m5":"0","m15":"0.21","m30":"0.31","h1":"0.51","h6":"0.86","h24":"7.71"},"transactions":{"m5":{"buys":7,"sells":2,"buyers":7,"sellers":2},"m15":{"buys":19,"sells":27,"buyers":19,"sellers":27},"m30":{"buys":49,"sells":61,"buyers":45,"sellers":57},"h1":{"buys":97,"sells":144,"buyers":83,"sellers":124},"h24":{"buys":2966,"sells":3847,"buyers":1625,"sellers":2399}},"volume_usd":{"m5":"868581.7348314","m15":"2056262.885098","m30":"4081230.098456","h1":"16798158.0138526","h6":"164054610.850188","h24":"536545444.904535"},"reserve_in_usd":"163988541.3812"},"relationships":{"base_token":{"data":{"id":"eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","type":"token"}},"quote_token":{"data":{"id":"eth_0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48","type":"token"}},"dex":{"data":{"id":"uniswap_v3","type":"dex"}}}}],"included":[{"id":"eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","type":"token","attributes":{"address":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","name":"Wrapped Ether","symbol":"WETH","decimals":18,"image_url":"https://assets.coingecko.com/coins/images/2518/small/weth.png?1696503332","coingecko_coin_id":"weth"}}]}},"pool_details":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"name":{"type":"string"},"pool_name":{"type":"string"},"pool_fee_percentage":{"type":"string","nullable":true},"address":{"type":"string"},"base_token_price_usd":{"type":"string","nullable":true},"base_token_price_native_currency":{"type":"string","nullable":true},"base_token_balance":{"type":"string","nullable":true},"base_token_liquidity_usd":{"type":"string","nullable":true},"quote_token_price_usd":{"type":"string","nullable":true},"quote_token_price_native_currency":{"type":"string","nullable":true},"quote_token_balance":{"type":"string","nullable":true},"quote_token_liquidity_usd":{"type":"string","nullable":true},"base_token_price_quote_token":{"type":"string","nullable":true},"quote_token_price_base_token":{"type":"string","nullable":true},"pool_created_at":{"type":"string","nullable":true},"fdv_usd":{"type":"string","nullable":true},"market_cap_usd":{"type":"string","nullable":true},"price_change_percentage":{"type":"object"},"transactions":{"type":"object"},"volume_usd":{"type":"object"},"net_buy_volume_usd":{"type":"object"},"buy_volume_usd":{"type":"object"},"sell_volume_usd":{"type":"object"},"reserve_in_usd":{"type":"string","nullable":true},"locked_liquidity_percentage":{"type":"string","nullable":true},"launchpad_details":{"type":"object","nullable":true}},"relationships":{"$ref":"#/components/schemas/relationships"}}}},"multi_pool_details":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/pool_details"}},"included":{"$ref":"#/components/schemas/pools_included"}},"example":{"data":[{"id":"eth_0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640","type":"pool","attributes":{"base_token_price_usd":"4459.91960575582","base_token_price_native_currency":"1.0","base_token_balance":"5783.57638014946","base_token_liquidity_usd":"25794285.689214855","quote_token_price_usd":"0.998614899014123","quote_token_price_native_currency":"0.000223861979768972","quote_token_balance":"64655288.355199","quote_token_liquidity_usd":"64552255.7925259","base_token_price_quote_token":"4467.038132299","quote_token_price_base_token":"0.0002238619798","address":"0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640","name":"WETH / USDC 0.05%","pool_name":"WETH / USDC","pool_fee_percentage":"0.05","pool_created_at":"2021-12-29T12:35:14Z","fdv_usd":"11160006028.1758","market_cap_usd":"11166433701.589","price_change_percentage":{"m5":"0","m15":"0.027","m30":"0.028","h1":"0.039","h6":"-0.435","h24":"-0.221"},"transactions":{"m5":{"buys":0,"sells":4,"buyers":0,"sellers":4},"m15":{"buys":9,"sells":27,"buyers":9,"sellers":23},"m30":{"buys":23,"sells":43,"buyers":18,"sellers":37},"h1":{"buys":86,"sells":104,"buyers":56,"sellers":79},"h6":{"buys":383,"sells":524,"buyers":212,"sellers":388},"h24":{"buys":1517,"sells":1828,"buyers":740,"sellers":1302}},"volume_usd":{"m5":"37399.6069733459","m15":"288043.30450079","m30":"365553.90171076","h1":"2801120.82868497","h6":"5475445.24298699","h24":"16190877.4119214"},"net_buy_volume_usd":{"m5":"-37399.6069733459","m15":"-106958.58061148","m30":"-32014.899699526","h1":"66459.25132413","h6":"-336894.73878909","h24":"-165843.81722825"},"buy_volume_usd":{"m5":"0.0","m15":"90542.361944655","m30":"166769.501005617","h1":"1433790.04000455","h6":"2569275.25209895","h24":"8012516.79734659"},"sell_volume_usd":{"m5":"37399.6069733459","m15":"197500.942556135","m30":"198784.400705143","h1":"1367330.78868042","h6":"2906169.99088804","h24":"8178360.61457484"},"reserve_in_usd":"90346541.3306","locked_liquidity_percentage":"0.0"},"relationships":{"base_token":{"data":{"id":"eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","type":"token"}},"quote_token":{"data":{"id":"eth_0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48","type":"token"}},"dex":{"data":{"id":"uniswap_v3","type":"dex"}}}}],"included":[{"id":"eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","type":"token","attributes":{"address":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","name":"Wrapped Ether","symbol":"WETH","decimals":18,"image_url":"https://coin-images.coingecko.com/coins/images/2518/large/weth.png?1696503332","coingecko_coin_id":"weth"}}]}},"single_pool_detail":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/pool_details"},"included":{"$ref":"#/components/schemas/pools_included"}},"example":{"data":{"id":"eth_0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640","type":"pool","attributes":{"base_token_price_usd":"4473.69429892668","base_token_price_native_currency":"1.0","base_token_balance":"5713.28147604894","base_token_liquidity_usd":"25559474.76756355","quote_token_price_usd":"0.997996963545633","quote_token_price_native_currency":"0.000223037878108427","quote_token_balance":"64636039.082111","quote_token_liquidity_usd":"64494052.04397222","base_token_price_quote_token":"4483.543371561","quote_token_price_base_token":"0.0002230378781","address":"0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640","name":"WETH / USDC 0.05%","pool_name":"WETH / USDC","pool_fee_percentage":"0.05","pool_created_at":"2021-12-29T12:35:14Z","fdv_usd":"11190873336.847","market_cap_usd":"11195941219.2312","price_change_percentage":{"m5":"0","m15":"0.01","m30":"0","h1":"0","h6":"-0.31","h24":"0.06"},"transactions":{"m5":{"buys":0,"sells":4,"buyers":0,"sellers":4},"m15":{"buys":7,"sells":14,"buyers":7,"sellers":13},"m30":{"buys":36,"sells":36,"buyers":30,"sellers":31},"h1":{"buys":72,"sells":66,"buyers":52,"sellers":55},"h6":{"buys":394,"sells":374,"buyers":270,"sellers":306},"h24":{"buys":1405,"sells":1769,"buyers":720,"sellers":1312}},"volume_usd":{"m5":"14474.0609971508","m15":"97230.627441051","m30":"217572.719149789","h1":"398012.377874174","h6":"2624801.54967643","h24":"14524209.5484025"},"net_buy_volume_usd":{"m5":"-14474.0609971508","m15":"20088.5420905036","m30":"112265.1687880188","h1":"213181.8440453441","h6":"39055.74647786","h24":"-3562.19491886"},"buy_volume_usd":{"m5":"0.0","m15":"58659.5847657773","m30":"164918.943968904","h1":"305597.110959759","h6":"1331928.64807714","h24":"7260323.6767418"},"sell_volume_usd":{"m5":"14474.0609971508","m15":"38571.0426752737","m30":"52653.7751808852","h1":"92415.2669144149","h6":"1292872.90159928","h24":"7263885.87166066"},"reserve_in_usd":"90053526.8909","locked_liquidity_percentage":"0.0"},"relationships":{"base_token":{"data":{"id":"eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","type":"token"}},"quote_token":{"data":{"id":"eth_0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48","type":"token"}},"dex":{"data":{"id":"uniswap_v3","type":"dex"}}}},"included":[{"id":"eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","type":"token","attributes":{"address":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","name":"Wrapped Ether","symbol":"WETH","decimals":18,"image_url":"https://coin-images.coingecko.com/coins/images/2518/large/weth.png?1696503332","coingecko_coin_id":"weth"}}]}},"ohlcv":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"ohlcv_list":{"type":"array","items":{"type":"array","items":{"type":"number"}}}}}}},"meta":{"type":"object","properties":{"base":{"type":"object","properties":{"address":{"type":"string"},"name":{"type":"string"},"symbol":{"type":"string"},"coingecko_coin_id":{"type":"string","nullable":true}}},"quote":{"type":"object","properties":{"address":{"type":"string"},"name":{"type":"string"},"symbol":{"type":"string"},"coingecko_coin_id":{"type":"string","nullable":true}}}}}},"example":{"data":{"id":"bc786a99-7205-4c80-aaa1-b9634d97c926","type":"ohlcv_request_response","attributes":{"ohlcv_list":[[1712534400,3454.61590249189,3660.85954963415,3417.91885296256,3660.85954963415,306823.277031161],[1712448000,3362.60273217873,3455.28884490954,3352.95305060685,3454.61590249189,242144.864784184],[1712361600,3323.05578706056,3391.19811016133,3317.73497182435,3362.60273217873,273323.661682931]]}},"meta":{"base":{"address":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","name":"Wrapped Ether","symbol":"WETH","coingecko_coin_id":"weth"},"quote":{"address":"0xdac17f958d2ee523a2206206994597c13d831ec7","name":"Tether USD","symbol":"USDT","coingecko_coin_id":"tether"}}}},"trade":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"properties":{"block_number":{"type":"integer"},"block_timestamp":{"type":"string","format":"datetime"},"tx_hash":{"type":"string"},"tx_from_address":{"type":"string"},"from_token_amount":{"type":"string"},"to_token_amount":{"type":"string"},"price_from_in_currency_token":{"type":"string"},"price_to_in_currency_token":{"type":"string"},"price_from_in_usd":{"type":"string"},"price_to_in_usd":{"type":"string"},"kind":{"type":"string"},"volume_in_usd":{"type":"string"},"from_token_address":{"type":"string"},"to_token_address":{"type":"string"}}}},"example":{"data":[{"id":"eth_19612255_0x0b8ac5a16c291832c1b4d5f0d8ef2d9d58e207cd8132c32392295617daa4d422_158_1712595165","type":"trade","attributes":{"block_number":19612255,"tx_hash":"0x0b8ac5a16c291832c1b4d5f0d8ef2d9d58e207cd8132c32392295617daa4d422","tx_from_address":"0x42c037c594eefeca741e9dd66af91e7ffd930872","from_token_amount":"1.51717616246451","to_token_amount":"5535.099061","price_from_in_currency_token":"1.0","price_to_in_currency_token":"0.000274100995437363","price_from_in_usd":"3656.8970003075","price_to_in_usd":"1.00235910799619","block_timestamp":"2024-04-08T16:52:35Z","kind":"buy","volume_in_usd":"5548.15695745452","from_token_address":"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2","to_token_address":"0xdac17f958d2ee523a2206206994597c13d831ec7"}}]}}}}}